Package org.lwjgl.opengl

# Class ARBTimerQuery

java.lang.Object
org.lwjgl.opengl.ARBTimerQuery

public final class ARBTimerQuery extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_TIME_ELAPSED`
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static final int`
`GL_TIMESTAMP`
Accepted by the <target> parameter of GetQueryiv and QueryCounter.

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetQueryObject(int id, int pname, LongBuffer params)`
`static long`
`glGetQueryObjecti64(int id, int pname)`
Overloads glGetQueryObjecti64v.
`static void`
`glGetQueryObjectu(int id, int pname, LongBuffer params)`
`static long`
`glGetQueryObjectui64(int id, int pname)`
Overloads glGetQueryObjectui64v.
`static void`
`glQueryCounter(int id, int target)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TIME_ELAPSED

public static final int GL_TIME_ELAPSED
Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

See Also:
  - Constant Field Values

### GL_TIMESTAMP

public static final int GL_TIMESTAMP
Accepted by the <target> parameter of GetQueryiv and QueryCounter. Accepted by the <value> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glQueryCounter

public static void glQueryCounter(int id, int target)

### glGetQueryObject

public static void glGetQueryObject(int id, int pname, LongBuffer params)

### glGetQueryObjecti64

public static long glGetQueryObjecti64(int id, int pname)
Overloads glGetQueryObjecti64v.

### glGetQueryObjectu

public static void glGetQueryObjectu(int id, int pname, LongBuffer params)

### glGetQueryObjectui64

public static long glGetQueryObjectui64(int id, int pname)
Overloads glGetQueryObjectui64v.